=== debian/control ===
Source: gpiozero
Maintainer: Debian Raspberry Pi Maintainers <pkg-raspi-maintainers@lists.alioth.debian.org>
Uploaders:
 Dominik George <nik@naturalnet.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python-all (>= 2.6.6-3),
 python-mock,
 python-pytest,
 python-setuptools (>= 0.6b3),
 python3-all,
 python3-mock,
 python3-pytest,
 python3-setuptools,,
Standards-Version: 3.9.8
Homepage: https://github.com/RPi-Distro/python-gpiozero
Vcs-Git: https://anonscm.debian.org/git/pkg-raspi/gpiozero.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-raspi/gpiozero.git

Package: python-gpiozero
Architecture: arm64 armel armhf
Depends:
 rpi.gpio-common,
 ${misc:Depends},
 ${python:Depends},
Description: simple interface to everyday GPIO components used with Raspberry Pi (Python 2)
 gpiozero is an object-oriented wrapper around using various elelctronic
 components with the GPIO interface on the Raspoberry Pi. It allows
 interacting with components like LEDs and buttons by defining them as
 object instances which provide callback hooks to react to changes, e.g.
 a button being pressed.
 .
 This package contains the Python 2 module.

Package: python3-gpiozero
Architecture: arm64 armel armhf
Depends:
 rpi.gpio-common,
 ${misc:Depends},
 ${python3:Depends},
Description: simple interface to everyday GPIO components used with Raspberry Pi (Python 3)
 gpiozero is an object-oriented wrapper around using various elelctronic
 components with the GPIO interface on the Raspoberry Pi. It allows
 interacting with components like LEDs and buttons by defining them as
 object instances which provide callback hooks to react to changes, e.g.
 a button being pressed.
 .
 This package contains the Python 3 module.
