=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=gpiozero

# gpiozero relies on it being installed through distutils; tests cannot run without installing
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild
