## gpiozero 1.4.1

=== debian/changelog ===
gpiozero (1.4.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the missing dependency on python3-pkg-resources.
    (Closes: #971897)

 -- Adrian Bunk <bunk@debian.org>  Wed, 16 Jun 2021 14:50:22 +0300

gpiozero (1.4.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix error in python3-gpiozero reccomends/suggests, change 
    python-pigpio to python3-pigpio.
  * Drop python-gpiozero package (Closes: 936644).
  * Drop rules logic to remove "pinout" utility from python-gpiozero package.
  * Drop python2 related build-dependencies.

 -- Peter Michael Green <plugwash@debian.org>  Fri, 30 Aug 2019 19:40:05 +0000

gpiozero (1.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make packages arch any (not arch-all because of arch-specific dependencies)
    (Closes: #856413)
  * Change nonsensical rpi.gpio-common dependency to python-rpi.gpio/python3-rpi.gpio
    and limit it's architecture list to arm*
  * Recommend python-pigpio/python3-pigpio on non-arm architectures.
  * Suggest python-pigpio/python3-pigpio on arm architectures.
  * Drop "pinout" utility from python-gpiozero package 
    (keep it in python3-gpiozero package) (Closes: #919617)
  * Fix misspelling in package discrptions Raspoberry -> Raspberry

 -- Peter Michael Green <plugwash@debian.org>  Thu, 24 Jan 2019 14:45:24 +0000

gpiozero (1.4.1-1) unstable; urgency=medium

  * Move to Salsa.
  * Update my maintainer address.
  * Bump Standards-Version and compat level, no changes needed.

 -- Dominik George <natureshadow@debian.org>  Sun, 13 Jan 2019 15:13:03 +0100
