=== debian/control ===
Source: gpiozero
Maintainer: Debian Raspberry Pi Maintainers <pkg-raspi-maintainers@lists.alioth.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 python3-all,
 python3-mock,
 python3-pytest,
 python3-setuptools,,
Standards-Version: 4.3.0
Homepage: https://github.com/RPi-Distro/python-gpiozero
Vcs-Git: https://salsa.debian.org/raspi-team/gpiozero.git
Vcs-Browser: https://salsa.debian.org/raspi-team/gpiozero

Package: python3-gpiozero
Architecture: any
Depends:
 python3-rpi.gpio [armel armhf arm64],
 ${misc:Depends},
 ${python3:Depends},
 python3-pkg-resources
Recommends:
 python3-pigpio [!armel !armhf !arm64]
Suggests:
 python3-pigpio [armel armhf arm64]
Description: simple interface to everyday GPIO components used with Raspberry Pi (Python 3)
 gpiozero is an object-oriented wrapper around using various elelctronic
 components with the GPIO interface on the Raspberry Pi. It allows
 interacting with components like LEDs and buttons by defining them as
 object instances which provide callback hooks to react to changes, e.g.
 a button being pressed.
 .
 This package contains the Python 3 module.
