## gpiozero 1.6.1

=== debian/changelog ===
gpiozero (1.6.1-0ubuntu1) hirsute; urgency=medium

  * Add python-gpiozero-doc package back in
  * Add python3-lgpio under recommends instead of python3-rpi.gpio
  * Added d/p/use-setup-cfg.patch from upstream to use setup.cfg instead of
    setup.py
  * Added d/p/no-coverage.patch to prevent running coverage under the test
    suite
  * Added d/p/local-objects-inv.patch to source objects.inv for intersphinx
    from local packages where possible

 -- Dave Jones <dave.jones@canonical.com>  Mon, 15 Mar 2021 13:37:12 +0000
