## gpiozero 1.6.2

=== debian/changelog ===
gpiozero (1.6.2-1) stable; urgency=medium

  * Added "RotaryEncoder" class (thanks to Paulo Mateus) (#482, #928)
  * Added support for multi-segment character displays with "LEDCharDisplay"
    and "LEDMultiCharDisplay" along with "font" support using "LEDCharFont"
    (thanks to Martin O'Hanlon) (#357, #485, #488, #493, #930)
  * Added "Pibrella" class (thanks to Carl Monk) (#773, #798)
  * Added "TrafficpHat" class (thanks to Ryan Walmsley) (#845, #846)
  * Added support for the "lgpio" library as a pin factory (#927)
    ("LGPIOFactory") (thanks to Joan for lg) (#927)
  * Allow "Motor" to pass "pin_factory" to its child "OutputDevice" objects
    (thanks to Yisrael Dov Lebow) (#792)
  * Small SPI exception fix (thanks to Maksim Levental) (#762)
  * Warn users when using default pin factory for Servos and Distance Sensors
    (thanks to Sofiia Kosovan and Daniele Procida at the EuroPython sprints)
    (#780, #781)
  * Added "pulse_width" property to "Servo" (suggested by Daniele Procida at
    the PyCon UK sprints) (#795, #797)
  * Added event-driven functionality to "internal devices" (#941)
  * Allowed "Energenie" sockets preserve their state on construction (thanks
    to Jack Wearden) (#865)
  * Added source tools "scaled_half" and "scaled_full"
  * Added complete Pi 4 support to "NativeFactory" (thanks to Andrew Scheller)
    (#920, #929, #940)
  * Updated add-on boards to use BOARD numbering (#349, #860)
  * Fixed "ButtonBoard" release events (#761)
  * Add ASCII art diagrams to "pinout" for Pi 400 and CM4 (#932)
  * Cleaned up software SPI (thanks to Andrew Scheller and Kyle Morgan) (#777,
    #895, #900)
  * Added USB3 and Ethernet speed attributes to "pi_info"
  * Various docs updates

 -- Dave Jones <dave@waveform.org.uk>  Mon, 15 Mar 2021 00:16:04 +0000

gpiozero (1.5.1) stable; urgency=medium

  * Added Raspberry Pi 4 data for "pi_info" and "pinout"
  * Minor docs updates

 --  <ben@raspberrypi.org>  Mon, 24 Jun 2019 23:11:24 +0100

gpiozero (1.5.0ubuntu1) xenial; urgency=medium

  * Ubuntu release

 -- Dave Jones <dave@waveform.org.uk>  Thu, 07 Mar 2019 15:03:34 +0000

gpiozero (1.5.0) stable; urgency=medium

  * Introduced pin event timing to increase accuracy of certain devices such
    as the HC-SR04 "DistanceSensor". (#664, #665)
  * Further improvements to "DistanceSensor" (ignoring missed edges). (#719)
  * Allow "source" to take a device object as well as "values" or other
    values. See the "Source/Values" chapter in the docs. (#640)
  * Added internal device classes "LoadAverage" and "DiskUsage" (thanks to
    Jeevan M R for the latter). (#532, #714)
  * Added support for colorzero with "RGBLED" (this adds a new dependency).
    (#655)
  * Added "TonalBuzzer" with "Tone" API for specifying frequencies raw or via
    MIDI or musical notes. (#681, #717)
  * Added "PiHutXmasTree". (#502)
  * Added "PumpkinPi" and "JamHat" (thanks to Claire Pollard). (#680, #681,
    #717)
  * Ensured gpiozero can be imported without a valid pin factory set. (#591,
    #713)
  * Reduced import time by not computing default pin factory at the point of
    import. (#675, #722)
  * Added support for various pin numbering mechanisms. (#470)
  * "Motor" instances now use "DigitalOutputDevice" for non-PWM pins.
  * Allow non-PWM use of "Robot". (#481)
  * Added optional enable init param to "Motor". (#366)
  * Added --xyz option to "pinout" command line tool to open
    https://pinout.xyz in a web browser. (#604)
  * Added 3B+, 3A+ and CM3+ to Pi model data. (#627, #704)
  * Minor improvements to "Energenie", thanks to Steve Amor. (#629, #634)
  * Allow "SmoothedInputDevice", "LightSensor" and "MotionSensor" to have
    pull-up configured. (#652)
  * Allow input devices to be pulled up or down externally, thanks to Philippe
    Muller. (#593, #658)
  * Minor changes to support Python 3.7, thanks to Russel Winder and Rick
    Ansell. (#666, #668, #669, #671, #673)
  * Added "zip_values" source tool.
  * Correct row/col numbering logic in "PinInfo". (#674)
  * Many additional tests, and other improvements to the test suite.
  * Many documentation corrections, additions and clarifications.
  * Automatic documentation class hierarchy diagram generation.
  * Automatic copyright attribution in source files.

 -- Dave Jones <dave@waveform.org.uk>  Tue, 12 Feb 2019 21:31:09 +0000

gpiozero (1.4.1) stable; urgency=low

  * Added "curve_left" and "curve_right" parameters to "Robot.forward" and
    "Robot.backward" (#306 and #619)
  * Fixed "DistanceSensor" returning incorrect readings after a long pause,
    and added a lock to ensure multiple distance sensors can operate
    simultaneously in a single project (#584, #595, #617, #618)
  * Added support for phase/enable motor drivers with "PhaseEnableMotor",
    "PhaseEnableRobot", and descendants, thanks to Ian Harcombe!  (#386)
  * A variety of other minor enhancements, largely thanks to Andrew Scheller!
    (#479, #489, #491, #492)

 -- Dave Jones <dave@waveform.org.uk>  Tue, 20 Feb 2018 21:59:28 +0000

gpiozero (1.4.0) stable; urgency=low

  * Pin factory is now configurable from device constructors as well as
    command line. NOTE: this is a backwards incompatible change for manual pin
    construction but it's hoped this is (currently) a sufficiently rare use
    case that this won't affect too many people and the benefits of the new
    system warrant such a change, i.e. the ability to use remote pin factories
    with HAT classes that don't accept pin assignations (#279)
  * Major work on SPI, primarily to support remote hardware SPI (#421, #459,
    #465, #468, #575)
  * Pin reservation now works properly between GPIO and SPI devices (#459,
    #468)
  * Lots of work on the documentation: source/values chapter, better charts,
    more recipes, remote GPIO configuration, mock pins, better PDF output
    (#484, #469, #523, #520, #434, #565, #576)
  * Support for "StatusZero" and "StatusBoard" HATs (#558)

