=== debian/control ===
--- 
+++ 
@@ -1,30 +1,43 @@
 Source: gpiozero
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dave Jones <dave.jones@canonical.com>
+Maintainer: Ben Nuttall <ben@raspberrypi.org>
 Homepage: http://gpiozero.readthedocs.io/
 Section: python
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ python-all (>= 2.7),
+ python-setuptools,
  python3-all,
  python3-doc,
  python3-colorzero,
- python-colorzero-doc,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
- python3-mock,
- python3-pytest,
-Standards-Version: 4.5.1
+Standards-Version: 4.5.0
 Vcs-Git: https://github.com/gpiozero/gpiozero.git
 Vcs-Browser: https://github.com/gpiozero/gpiozero
+
+Package: python-gpiozero
+Architecture: all
+Section: python
+Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources
+Recommends: python-rpi.gpio, python-spidev
+Suggests: python-gpiozero-docs
+Description: Simple API for controlling devices attached to a Pi's GPIO pins.
+ gpiozero builds on various pin libraries to provide a set of classes designed
+ to simplify interaction with devices connected to the GPIO pins, from simple
+ buttons and LEDs, up to various add-on boards. The API tries to adhere closely
+ to Python's idioms and naming conventions, and features alternative
+ programming paradigm approaches.
+ .
+ This is the Python 2 version of the package.
 
 Package: python3-gpiozero
 Architecture: all
 Section: python
 Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
-Recommends: python3-lgpio, python3-spidev
+Recommends: python3-rpi.gpio, python3-spidev
 Suggests: python-gpiozero-docs
 Description: Simple API for controlling devices attached to a Pi's GPIO pins.
  gpiozero builds on various pin libraries to provide a set of classes designed
