=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

export PYBUILD_NAME=gpiozero
export PYBUILD_TEST_ARGS=-k-test_real_pins.py

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# Strip out binaries from the py2 package
	rm debian/python-gpiozero/usr/bin/pinout

override_dh_auto_test:
	python3 setup.py sdist
	dh_auto_test

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html
	PYTHONPATH=. sphinx-build -N -bman docs/ build/man
