## gpiozero 2.0

=== debian/changelog ===
gpiozero (2.0-0ubuntu1) mantic; urgency=medium

  * Merge new upstream release, adding support for Raspberry Pi 5
    (LP: #2037637)
  * d/rules: Fixed pytest exclusion syntax
  * d/t/control: Add DEP8 tests
  * d/python3-gpiozero.manpages: Added pintest and gpiozero-env
  * Removed d/p/use-setup-cfg.patch; now upstream
  * Removed d/p/lgpio-priority.patch; now upstream
  * Refreshed d/p/no-coverage.patch; context change
  * Updated d/p/local-objects-inv.patch to use local python3-doc and
    python-colorzero-doc during build
  * Bump standards version to 4.6.2

 -- Dave Jones <dave.jones@canonical.com>  Thu, 28 Sep 2023 11:17:02 +0100
