=== docs/Makefile ===
--- 
+++ 
@@ -30,21 +30,14 @@
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  html       to make standalone HTML files"
-	@echo "  dirhtml    to make HTML files named index.html in directories"
-	@echo "  singlehtml to make a single large HTML file"
-	@echo "  pickle     to make pickle files"
+	@echo "  preview    to start a web-server that watches for file changes"
+	@echo "             and re-builds the docs when required"
 	@echo "  json       to make JSON files"
-	@echo "  htmlhelp   to make HTML files and a HTML help project"
-	@echo "  qthelp     to make HTML files and a qthelp project"
-	@echo "  devhelp    to make HTML files and a Devhelp project"
 	@echo "  epub       to make an epub"
 	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
 	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
-	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
 	@echo "  text       to make text files"
 	@echo "  man        to make manual pages"
-	@echo "  texinfo    to make Texinfo files"
-	@echo "  info       to make Texinfo files and run them through makeinfo"
 	@echo "  gettext    to make PO message catalogs"
 	@echo "  changes    to make an overview of all changed/added/deprecated items"
 	@echo "  xml        to make Docutils-native XML files"
@@ -60,49 +53,10 @@
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
-dirhtml: $(SVG_IMAGES) $(PNG_IMAGES)
-	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
-	@echo
-	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
-
-singlehtml: $(SVG_IMAGES) $(PNG_IMAGES)
-	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
-	@echo
-	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."
-
-pickle:
-	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
-	@echo
-	@echo "Build finished; now you can process the pickle files."
-
 json:
 	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
 	@echo
 	@echo "Build finished; now you can process the JSON files."
-
-htmlhelp:
-	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
-	@echo
-	@echo "Build finished; now you can run HTML Help Workshop with the" \
-	      ".hhp project file in $(BUILDDIR)/htmlhelp."
-
-qthelp:
-	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
-	@echo
-	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
-	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/gpiozero.qhcp"
-	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/gpiozero.qhc"
-
-devhelp:
-	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
-	@echo
-	@echo "Build finished."
-	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/gpiozero"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/gpiozero"
-	@echo "# devhelp"
 
 epub:
 	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
@@ -122,12 +76,6 @@
 	$(MAKE) -C $(BUILDDIR)/latex all-pdf
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
 
-latexpdfja: $(PDF_IMAGES)
-	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
-	@echo "Running LaTeX files through platex and dvipdfmx..."
-	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
-	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
-
 text:
 	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
 	@echo
@@ -137,19 +85,6 @@
 	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
 	@echo
 	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
-
-texinfo:
-	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
-	@echo
-	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
-	@echo "Run \`make' in that directory to run these through makeinfo" \
-	      "(use \`make info' here to do that automatically)."
-
-info:
-	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
-	@echo "Running Texinfo files through makeinfo..."
-	make -C $(BUILDDIR)/texinfo info
-	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."
 
 gettext:
 	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
@@ -182,14 +117,17 @@
 	@echo
 	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."
 
+preview:
+	../scripts/previewer $(BUILDDIR)/html
+
 images/device_hierarchy.dot: $(PY_SOURCES)
-	./images/class_graph \
+	../scripts/class_graph \
 		-i Device \
 		-i SharedMixin \
 		-x SPI -x SPISoftwareBus > $@
 
 images/composite_device_hierarchy.dot: $(PY_SOURCES)
-	./images/class_graph \
+	../scripts/class_graph \
 		-i CompositeDevice \
 		-i Energenie \
 		-i LedBord \
@@ -199,10 +137,10 @@
 		-o SourceMixin > $@
 
 images/spi_device_hierarchy.dot: $(PY_SOURCES)
-	./images/class_graph -i SPIDevice > $@
+	../scripts/class_graph -i SPIDevice > $@
 
 images/output_device_hierarchy.dot: $(PY_SOURCES)
-	./images/class_graph \
+	../scripts/class_graph \
 		-i OutputDevice \
 		-i RGBLED \
 		-i Servo \
@@ -213,10 +151,10 @@
 		-x SPI -o SourceMixin > $@
 
 images/input_device_hierarchy.dot: $(PY_SOURCES)
-	./images/class_graph -i InputDevice -o EventsMixin -o HoldMixin > $@
+	../scripts/class_graph -i InputDevice -o EventsMixin -o HoldMixin > $@
 
 images/internal_device_hierarchy.dot: $(PY_SOURCES)
-	./images/class_graph -i InternalDevice -o EventsMixin > $@
+	../scripts/class_graph -i InternalDevice -o EventsMixin > $@
 
 %.svg: %.mscgen
 	mscgen -T svg -o $@ $<
@@ -224,8 +162,8 @@
 %.svg: %.dot
 	dot -T svg -o $@ $<
 
-%.png: %.gpi common.gp
-	gnuplot -e "set term pngcairo size 640,480" $< > $@
+%.png: %.gpi
+	gnuplot -e "set term pngcairo transparent size 400,400" $< > $@
 
 ifeq ($(INKSCAPE_VER),0)
 %.png: %.svg
@@ -241,10 +179,10 @@
 	inkscape --export-type pdf -o $@ $<
 endif
 
-%.pdf: %.gpi common.gp
-	gnuplot -e "set term pdfcairo size 10cm,7.5cm" $< > $@
+%.pdf: %.gpi
+	gnuplot -e "set term pdfcairo size 5cm,5cm" $< > $@
 
 %.pdf: %.mscgen
 	mscgen -T eps -o - $< | ps2pdf -dEPSCrop - $@
 
-.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
+.PHONY: help clean html preview json epub latex latexpdf text man changes linkcheck doctest gettext
