=== debian/changelog ===
gpiozero (2.0.1-0ubuntu1) noble; urgency=medium

  * New upstream release, fixes FTBFS with Python 3.12 (LP: #2051531)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 15 Feb 2024 11:14:49 +0000
