=== debian/control ===
Source: gpiozero
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dave Jones <dave.jones@canonical.com>
Homepage: http://gpiozero.readthedocs.io/
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python-colorzero-doc,
 python3-all (>= 3.9),
 python3-doc,
 python3-colorzero,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-pytest,
Standards-Version: 4.6.2
Vcs-Git: https://github.com/gpiozero/gpiozero.git
Vcs-Browser: https://github.com/gpiozero/gpiozero

Package: python3-gpiozero
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-lgpio, python3-spidev
Suggests: python-gpiozero-doc
Description: Simple API for controlling devices attached to a Pi's GPIO pins
 gpiozero builds on various pin libraries to provide a set of classes designed
 to simplify interaction with devices connected to the GPIO pins, from simple
 buttons and LEDs, up to various add-on boards. The API tries to adhere closely
 to Python's idioms and naming conventions, and features alternative
 programming paradigm approaches.
 .
 This is the Python 3 version of the package.

Package: python-gpiozero-doc
Architecture: all
Section: doc
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
 python3-doc,
 python-colorzero-doc
Description: Documentation for the gpiozero Python API
 gpiozero builds on various pin libraries to provide a set of classes designed
 to simplify interaction with devices connected to the GPIO pins, from simple
 buttons and LEDs, up to various add-on boards. The API tries to adhere closely
 to Python's idioms and naming conventions, and features alternative
 programming paradigm approaches.
 .
 This is the documentation for the package.
