=== debian/tests/control ===
Test-Command: pytest-3 -rsx --tb=short -k 'not test_real_pins.py' tests/
Depends: @, python3-pytest
